This discussion has been locked.
You can no longer post new replies to this discussion. If you have a question you can start a new discussion

Does microfocus server express 5.1 have support for jdk8?

Currently we are using  microfocus server express 5.1 wrappack 7, is there a wrappack that supports jdk8+?

Thanks in advance,

Parents
  • Verified Answer

    Hello Dana Shaw,

     

    Welcome to the Micro Focus Community site.

     

    Yes, Java 8 is supported in later Server Express 5.1 Wrap Packs. You didn't mention the platform in use, but for example Server Express 5.1 Wrap Pack 19 includes support for Oracle Java 8 on Red Hat Linux 5.x and 6.x , as reflected in the $COBDIR/docs/env.txt file provided within that product version and platform:

     

    Java version = 1.8.0_31

    Java vendor = Oracle Corporation

    Java OS name = Linux

    Java OS arch = i386

    Java OS version = 2.6.18-348.el5

     

    Java version = 1.8.0_31

    Java vendor = Oracle Corporation

    Java OS name = Linux

    Java OS arch = amd64

    Java OS version = 2.6.18-348.el5

     

    Just FYI, OpenJDK (and RHEL 7.x and newer) are supported in our newer Visual COBOL product.

  • Thanks for the reply! 

    Yes, we are using centos7.x and rocky linux 8

  • Happy to help.

    Just to be clear, while Oracle Linux 8 is supported in certain Server Express 5.1 Wrap Packs, Micro Focus does not support the use of any Server Express version on the Operating Systems you've mentioned, Centos7.x or Rocky Linux 8.

  • Currently we have server express 5.1 wrap pack 7 +jdk7 working on centos 7.x and rocky linux 8..

    Are you you saying with wrap pack 19, jdk8 won't work with microfocus on linux (centos7 || Rocky Linux 8) or it's just not officially supported?

    Thanks again! 

Reply Children